Bug 1738266 - Child tenant users unable to load 'Compute > Infrastructure > Virtual Machines > VMs'
Summary: Child tenant users unable to load 'Compute > Infrastructure > Virtual Machine...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.6
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.9
Assignee: Keenan Brock
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1733351
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 15:59 UTC by Satoe Imaishi
Modified: 2019-09-05 05:25 UTC (History)
14 users (show)

Fixed In Version: 5.10.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1733351
Environment:
Last Closed: 2019-09-05 05:25:13 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Bug Demo (2.88 MB, video/webm)
2019-08-26 10:10 UTC, Parthvi Vala
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 Joe Rafaniello 2019-08-12 21:48:16 UTC
Note, the referenced PRs are all set for hammer/yes and just require backporting to land in 5.10.

Comment 3 CFME Bot 2019-08-14 16:30:54 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/b449f18cb2d3cabca81faba5503aeed583cc8ec0
commit b449f18cb2d3cabca81faba5503aeed583cc8ec0
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Thu Nov 15 11:53:56 2018 -0500
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Thu Nov 15 11:53:56 2018 -0500

    Merge pull request #17475 from NickLaMuro/compliance_mixin_last_compliance_to_virtual_delegate

    Convert ComplianceMixin to use has_one/virtual_delegate

    (cherry picked from commit 391cf5d3c214f517086ab2cc5df1a2ea074ef472)

    https://bugzilla.redhat.com/show_bug.cgi?id=1738266

 app/models/mixins/compliance_mixin.rb | 37 +-
 spec/models/mixins/compliance_mixin_spec.rb | 50 +
 2 files changed, 63 insertions(+), 24 deletions(-)

Comment 4 CFME Bot 2019-08-14 16:31:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/7e5bc9417cbbd2c36f47904f203b125927d4e2d8
commit 7e5bc9417cbbd2c36f47904f203b125927d4e2d8
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Aug  1 04:09:29 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Aug  1 04:09:29 2019 -0400

    Merge pull request #5919 from kbrock/fixup_vm_includes

    views: remove unneeded compliances join
    (cherry picked from commit fc8c4911aa5c6a358566078ab26dc19f2d6d253b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1738266

 product/views/ManageIQ_Providers_CloudManager_Template-all_vms_and_templates.yaml | 1 -
 product/views/MiqTemplate.yaml | 1 -
 product/views/ProvisionCloudTemplates.yaml | 1 -
 product/views/Vm-all_vms.yaml | 1 -
 product/views/VmOrTemplate-all_archived.yaml | 1 -
 5 files changed, 5 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/1910b6da4fe9ed4a45cc187be588f85a7ee5b298
commit 1910b6da4fe9ed4a45cc187be588f85a7ee5b298
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Aug  2 05:06:09 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Aug  2 05:06:09 2019 -0400

    Merge pull request #5926 from kbrock/compliance_statuses

    Circling back and removing compliance join for all

    (cherry picked from commit f7dcdc6fd248f53ceb0780a76c9f8c24f9d99238)

    https://bugzilla.redhat.com/show_bug.cgi?id=1738266

 product/views/InstanceOrImage.yaml | 1 -
 product/views/ManageIQ_Providers_CloudManager_Template.yaml | 1 -
 product/views/ManageIQ_Providers_CloudManager_Vm-all_vms_and_templates.yaml | 1 -
 product/views/ManageIQ_Providers_CloudManager_Vm-vms.yaml | 1 -
 product/views/ManageIQ_Providers_CloudManager_Vm.yaml | 1 -
 product/views/ManageIQ_Providers_InfraManager_Template.yaml | 1 -
 product/views/ManageIQ_Providers_InfraManager_Vm.yaml | 1 -
 product/views/MiqTemplate-all_miq_templates.yaml | 1 -
 product/views/ProvisionInfraTemplates.yaml | 1 -
 product/views/Vm.yaml | 1 -
 product/views/VmOrTemplate-all_orphaned.yaml | 1 -
 product/views/VmOrTemplate-all_vms_and_templates.yaml | 1 -
 12 files changed, 12 deletions(-)

Comment 8 Parthvi Vala 2019-08-26 10:10:16 UTC
Created attachment 1608072 [details]
Bug Demo

Comment 9 Keenan Brock 2019-08-26 21:21:24 UTC
This bug is different, but also needs to be solved.
This will be fixed by:

    https://github.com/ManageIQ/manageiq/pull/18909

Comment 10 Keenan Brock 2019-08-26 21:22:22 UTC
I'll take this BZ

Comment 11 Parthvi Vala 2019-08-27 04:11:13 UTC
I guess you're right Keenan because I don't see this bug on the latest 5.11.0.21, but it's present on 5.10.9.

Comment 12 CFME Bot 2019-08-27 14:01:25 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/004033cb16b3dbbe0ed8fd7ad45936ae88d35ff2
commit 004033cb16b3dbbe0ed8fd7ad45936ae88d35ff2
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Thu Jul 11 17:14:32 2019 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Thu Jul 11 17:14:32 2019 -0400

    Merge pull request #18909 from kbrock/fix_order

    Allow order fields to be subqueries with order

    (cherry picked from commit 5d6eb830cf0faded6d54c5661cdee6834f16259f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1738266

 lib/extensions/ar_order.rb | 39 +
 spec/lib/extensions/ar_order_spec.rb | 19 +
 2 files changed, 58 insertions(+)

Comment 13 Parthvi Vala 2019-08-28 07:00:03 UTC
Hi Keenan, are you also going to port this fix for 5.11?
BZ - https://bugzilla.redhat.com/show_bug.cgi?id=1738266

And can you tell me how will this fix look like? From the comments above it seemed that the `Compliance` column was getting removed as a part of the fix, but I still see the column, so did I misunderstand? I'm not exactly sure how to verify this BZ.

Comment 14 Parthvi Vala 2019-08-29 07:01:00 UTC
Wrong BZ link in https://bugzilla.redhat.com/show_bug.cgi?id=1738266#c13
Correct BZ link - https://bugzilla.redhat.com/show_bug.cgi?id=1733351

Keenan, can you guide me with test steps?

Comment 16 Parthvi Vala 2019-08-30 12:06:22 UTC
Hi Joe,

Thanks for the response. I am having a little hard time reproducing an env to test the BZ. Keenan suggested I could test by creating around 1000 VMs, but this I think would be much easier for the performance team to test. I'm still working on it, will try to verify it.

Thanks,
Parthvi

Comment 17 Aziza Karol 2019-08-30 14:02:50 UTC

The customer DB is huge and QE does not have enough resources to create 1000 Vms to test this BZ So marking the issue as verified.

Comment 19 errata-xmlrpc 2019-09-05 05:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.